Bug 179385 - Fix for C99ism in lib/scache.c
Summary: Fix for C99ism in lib/scache.c
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libuser (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Miloslav Trmač
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-30 20:20 UTC by Dan Yefimov
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 00:31:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix C99ism in lib/scache.c (337 bytes, patch)
2006-01-30 20:20 UTC, Dan Yefimov
no flags Details | Diff

Description Dan Yefimov 2006-01-30 20:20:11 UTC
Description of problem: There's a small C99ism in lib/scache.c that prevents compiling it either with -std=gnu89 or with GCC 2.95.3 on legacy systems.

Version-Release number of selected component (if applicable): 0.54.3

Attached small and rather trivial patch against libuser 0.54.3 that fixes C99ism.

Comment 1 Dan Yefimov 2006-01-30 20:20:11 UTC
Created attachment 123881 [details]
Patch to fix C99ism in lib/scache.c

Comment 2 Miloslav Trmač 2006-01-31 00:31:09 UTC
Thanks, fixed in CVS.

(-std=gnu89 actually works fine, mixed declarations and code are a GNU extension.)

Note that I won't hesitate to use C99 in the future if it makes the code more
elegant or more efficient.


Note You need to log in before you can comment on or make changes to this bug.